# Documentazione riga di comando di &Qt;

&Lauri.Watts; &Lauri.Watts.mail;
&Burkhard.Lueck; &Burkhard.Lueck.mail;
2016-06-04
Qt 6
KDE Frameworks
qt6options
7

# qt6options

Opzioni dalla riga di comando comuni a tutte le applicazioni basate sul toolkit &Qt;

    Applicazione Qt -style= stile / -style style -stylesheet= foglio_di_stile / -stylesheet foglio_di_stile -widgetcount -reverse -qmljsdebugger= porta -platform nomePiattaforma[:opzioni] -platformpluginpath percorso -platformtheme temaPiattaforma -plugin estensione -qwindowgeometry geometria -qwindowicon icona -qwindowtitle titolo -reverse -session sessione -display nomehost:numero_schermo -geometry geometria -dialogs= [xp|none] -fontengine= freetype -h, --help, e -? in &Windows; -v --version

## Opzioni

Le opzioni seguenti si applicano a tutte le applicazioni &Qt;:

`-style=` stile / `-style` stile

  Imposta lo stile dell'interfaccia &GUI;. I valori possibili dipendono dalla configurazione del sistema. Se le librerie &Qt; sono state compilate con stili aggiuntivi o sono disponibili ulteriori stili come estensioni, questi saranno disponibili per l'opzione a riga di comando `-style`.

`-stylesheet=` foglio_di_stile / `-stylesheet` foglio_di_stile

  Imposta il foglio di stile dell'applicazione. Il valore deve essere il percorso ad un file che contiene il foglio di stile.

`-widgetcount`

  Stampa alla fine dei messaggi di debug relativi al numero di oggetti che non sono stati distrutti ed al massimo di numero di oggetti presenti allo stesso tempo.

`-reverse`

  Imposta la direzione dell'aspetto dell'applicazione a `Qt::RightToLeft`. Questa opzione è pensata per aiutare nel debug e non andrebbe essere usata in produzione. Il valore predefinito è determinato automaticamente della locale dell'utente (vedere anche `QLocale::textDirection()`).

`-qmljsdebugger=` porta

  Attiva il programma di debug per QML/JS su una porta specifica. Il valore deve essere nel formato porta:1234[,blocco], dove blocco è opzionale e farà sì che l'applicazione aspetti finché un programma di debug non si connetta ad essa.

`-platform` nomePiattaforma[:opzioni]

  Specifica l'estensione &Qt; Platform Abstraction (QPA).

`-platformpluginpath` percorso

  Specifica il percorso per le estensioni di tipo piattaforma.

`-platformtheme` temaPiattaforma

  Specifica il tema della piattaforma.

`-plugin` estensione

  Specifica le ulteriori estensioni da caricare. L'argomento può essere specificato più volte.

`-qwindowgeometry` geometria

  Specifica la geometria della finestra per la finestra principale usando la sintassi &X11;. Ad esempio: -qwindowgeometry 100x100+50+50

`-qwindowicon` icona

  Imposta l'icona predefinita della finestra.

`-qwindowtitle` titolo

  Imposta il titolo della prima finestra.

`-session` sessione

  Ripristina l'applicazione da una sessione precedente.

`-display` nomehost:numero_schermo

  Cambia display in &X11;. Ha la precedenza sulla variabile d'ambiente `DISPLAY`.

`-geometry` geometria

  Specifica la geometria della finestra per la finestra principale in &X11;. Ad esempio: -geometry 100x100+50+50.

`-dialogs=` [xp|none]

  Disponibile solo per la piattaforma &Windows;. Il valore xp abilita le finestre di dialogo native per XP e none le disabilita.

`-fontengine=` freetype

  Usa il motore di caratteri FreeType.

`-h, --help, e -? in &Windows;`

  Stampa tutte le opzioni e la descrizione dell'applicazione.

`-v --version`

  Mostra la stringa con la versione dell'applicazione.

## Vedi anche

kf6options(7)

## Autori

Pagina di manuale originariamente scritta da &Lauri.Watts; &Lauri.Watts.mail;

Aggiornata a &frameworks; 5 da &Burkhard.Lueck; &Burkhard.Lueck.mail;

Le informazioni per questa pagina di manuale sono ottenute dalle documentazione di QApplication, dalla documentazione di QGuiApplication e dalla documentazione di QCommandLineParser.